summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Wilson <chris+github@qwirx.com>2006-10-13 22:57:55 +0000
committerChris Wilson <chris+github@qwirx.com>2006-10-13 22:57:55 +0000
commitd11634c0c1ced24120010f3115156c7bd65f9578 (patch)
tree4f652251eae2e5f85ba2f9b1bd5a6f600dde8694
parent38429ae610b92e83cc0febb232eaa5149a0bd494 (diff)
(refs #3)
* Created directory for mingw compile utilities, added configure script
-rwxr-xr-xinfrastructure/mingw/configure.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/infrastructure/mingw/configure.sh b/infrastructure/mingw/configure.sh
new file mode 100755
index 00000000..1dd1b014
--- /dev/null
+++ b/infrastructure/mingw/configure.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+if [ ! -r "/usr/i686-pc-mingw32/lib/libssl.a" ]; then
+ echo "Error: install OpenSSL as instructed by" \
+ "docs/backup/mingw_build.txt" >&2
+ exit 2
+fi
+
+if [ ! -r "/usr/i686-pc-mingw32/lib/libpcreposix.a" \
+ -o ! -r "/usr/i686-pc-mingw32/lib/libpcre.a" \
+ -o ! -r "/usr/i686-pc-mingw32/include/regex.h" ]; then
+ echo "Error: install PCRE as instructed by" \
+ "docs/backup/mingw_build.txt" >&2
+ exit 2
+fi
+
+export CXX="g++ -mno-cygwin"
+export LD="g++ -mno-cygwin"
+export CFLAGS="-mno-cygwin -mthreads"
+export CXXFLAGS="-mno-cygwin -mthreads"
+export LDFLAGS="-mno-cygwin -mthreads"
+export LIBS="-lcrypto -lws2_32 -lgdi32"
+
+if [ ! -x "configure" ]; then
+ if ! ./bootstrap; then
+ echo "Error: bootstrap failed, aborting." >&2
+ exit 1
+ fi
+fi
+
+if ! ./configure --target=i686-pc-mingw32; then
+ echo "Error: configure failed, aborting." >&2
+ exit 1
+fi
+
+exit 0